﻿/*
================================================================================
	Name		:	Com_Kanasansoft_BlockQuote
	In			:	[none]		
	Out			:	[none]		
	Note		:	Kanasansoft Blog Editor用テンプレート
--------------------------------------------------------------------------------
	Version		:	Ver1.0.0	|	2007/03/03	|	新規作成
--------------------------------------------------------------------------------
	License		:	MIT license
	URL			:	www.kanasansoft.com
================================================================================
*/

/*--------------------------------------------------------------------------------
	コンストラクタ
--------------------------------------------------------------------------------*/
function Com_Kanasansoft_BlockQuote(){
	this._BlockQuote			=	"";
	this._Title					=	"";
	this._Url					=	"http://";
	this._Target				=	"";
}

/*--------------------------------------------------------------------------------
	データ取得
--------------------------------------------------------------------------------*/
Com_Kanasansoft_BlockQuote.prototype.getData
=	function(){
	return {	"BlockQuote"			:	this._BlockQuote			,
				"Title"					:	this._Title					,
				"Url"					:	this._Url					,
				"Target"				:	this._Target				};
}

/*--------------------------------------------------------------------------------
	データ設定
--------------------------------------------------------------------------------*/
Com_Kanasansoft_BlockQuote.prototype.setData
=	function(obj){
	this._BlockQuote			=	obj["BlockQuote"];
	this._Title					=	obj["Title"];
	this._Url					=	obj["Url"];
	this._Target				=	obj["Target"];
}

/*--------------------------------------------------------------------------------
	編集領域出力
--------------------------------------------------------------------------------*/
Com_Kanasansoft_BlockQuote.getEditAreaHTML
=	function(){
	var html			=	"";
	html				+=	"<div>";
	html				+=		"<div>";
	html				+=			"BlockQuote";
	html				+=		"</div>";
	html				+=		"<div>";
	html				+=			"<textarea cols=\"60\" rows=\"20\" id=\"Com_Kanasansoft_BlockQuote_BlockQuote\">";
	html				+=			"</textarea>";
	html				+=		"</div>";
	html				+=	"</div>";
	html				+=	"<div>";
	html				+=		"<div>";
	html				+=			"Title";
	html				+=		"</div>";
	html				+=		"<div>";
	html				+=			"<input type=\"text\" id=\"Com_Kanasansoft_BlockQuote_Title\" />";
	html				+=		"</div>";
	html				+=	"</div>";
	html				+=	"<div>";
	html				+=		"<div>";
	html				+=			"Url(ex. http://www.kanasansoft.com/)";
	html				+=		"</div>";
	html				+=		"<div>";
	html				+=			"<input type=\"text\" size=\"70\" id=\"Com_Kanasansoft_BlockQuote_Url\" />";
	html				+=		"</div>";
	html				+=	"</div>";
	html				+=	"<div>";
	html				+=		"<div>";
	html				+=			"Target";
	html				+=		"</div>";
	html				+=		"<div>";
	html				+=			"<input type=\"text\" id=\"Com_Kanasansoft_BlockQuote_Target\" />";
	html				+=		"</div>";
	html				+=	"</div>";
	return html;
}

/*--------------------------------------------------------------------------------
	編集領域からデータ取得
--------------------------------------------------------------------------------*/
Com_Kanasansoft_BlockQuote.prototype.getEditAreaData
=	function(){

	var obj						=	document.getElementById("Com_Kanasansoft_BlockQuote_BlockQuote");
	this._BlockQuote			=	obj.value;

	var obj						=	document.getElementById("Com_Kanasansoft_BlockQuote_Title");
	this._Title					=	obj.value;

	var obj						=	document.getElementById("Com_Kanasansoft_BlockQuote_Url");
	this._Url					=	obj.value;

	var obj						=	document.getElementById("Com_Kanasansoft_BlockQuote_Target");
	this._Target				=	obj.value;

}

/*--------------------------------------------------------------------------------
	編集領域にデータ設定
--------------------------------------------------------------------------------*/
Com_Kanasansoft_BlockQuote.prototype.setEditAreaData
=	function(){

	var obj						=	document.getElementById("Com_Kanasansoft_BlockQuote_BlockQuote");
	obj.value					=	this._BlockQuote;

	var obj						=	document.getElementById("Com_Kanasansoft_BlockQuote_Title");
	obj.value					=	this._Title;

	var obj						=	document.getElementById("Com_Kanasansoft_BlockQuote_Url");
	obj.value					=	this._Url;

	var obj						=	document.getElementById("Com_Kanasansoft_BlockQuote_Target");
	obj.value					=	this._Target;

}


/*--------------------------------------------------------------------------------
	HTML作成
--------------------------------------------------------------------------------*/
Com_Kanasansoft_BlockQuote.prototype.getHTML
=	function(){
	var html			=	"";
	html				+=	"<div class=\"Com_Kanasansoft_BlockQuote\">";
	html				+=		"<div class=\"BlockQuote\">";
	html				+=			"<blockquote>";
	html				+=				StringUtility.Convert.NewLineCodeToTag(
											StringUtility.Encode.HTML(this._BlockQuote)
										);
	html				+=			"</blockquote>";
	html				+=		"</div>";
	if(this._Title!=""){
		html			+=		"<div class=\"QuotationOrigin\">";
		html			+=			"<a";
		html			+=				" class=\"Link\"";
		html			+=				" href=\"";
		html			+=					StringUtility.Encode.HTML(this._Url);
		html			+=				"\"";
		if(this._Target!=""){
			html		+=				" target=\"";
			html		+=					StringUtility.Encode.HTML(this._Target);
			html		+=				"\"";
		}
		html			+=			">";
		html			+=				StringUtility.Encode.HTML(this._Title);
		html			+=			"</a>";
		html			+=		"</div>";
	}
	html				+=	"</div>";
	return html;
}

/*--------------------------------------------------------------------------------
	テンプレート名取得
--------------------------------------------------------------------------------*/
Com_Kanasansoft_BlockQuote.getName
=	function(){
	return "BlockQuote";
}

/*--------------------------------------------------------------------------------
	テンプレートID取得
--------------------------------------------------------------------------------*/
Com_Kanasansoft_BlockQuote.getId
=	function(){
	return "Com_Kanasansoft_BlockQuote";
}

//テンプレートを追加
addTemplate(Com_Kanasansoft_BlockQuote);
