﻿/*
================================================================================
	Name		:	Com_Kanasansoft_LinkForFile
	In			:	[none]		
	Out			:	[none]		
	Note		:	Kanasansoft Blog Editor用テンプレート
--------------------------------------------------------------------------------
	Version		:	Ver1.0.0	|	2006/12/02	|	新規作成
				:	Ver1.1.0	|	2006/12/12	|	getIdの追加
				:	Ver1.1.1	|	2006/12/13	|	スキーマ[http]を必須から任意へ変更
--------------------------------------------------------------------------------
	License		:	MIT license
	URL			:	www.kanasansoft.com
================================================================================
*/

/*--------------------------------------------------------------------------------
	コンストラクタ
--------------------------------------------------------------------------------*/
function Com_Kanasansoft_LinkForFile(){
	this._Name					=	"";
	this._Url					=	"http://";
}

/*--------------------------------------------------------------------------------
	データ取得
--------------------------------------------------------------------------------*/
Com_Kanasansoft_LinkForFile.prototype.getData
=	function(){
	return {	"Name"					:	this._Name					,
				"Url"					:	this._Url					};
}

/*--------------------------------------------------------------------------------
	データ設定
--------------------------------------------------------------------------------*/
Com_Kanasansoft_LinkForFile.prototype.setData
=	function(obj){
	this._Name					=	obj["Name"];
	this._Url					=	obj["Url"];
}

/*--------------------------------------------------------------------------------
	編集領域出力
--------------------------------------------------------------------------------*/
Com_Kanasansoft_LinkForFile.getEditAreaHTML
=	function(){
	var html			=	"";
	html				+=	"<div>";
	html				+=		"<div>";
	html				+=			"Name";
	html				+=		"</div>";
	html				+=		"<div>";
	html				+=			"<input type=\"text\" id=\"Com_Kanasansoft_LinkForFile_Name\" />";
	html				+=		"</div>";
	html				+=	"</div>";
	html				+=	"<div>";
	html				+=		"<div>";
	html				+=			"Url(ex. http://www.kanasansoft.com/download/file.zip)";
	html				+=		"</div>";
	html				+=		"<div>";
	html				+=			"<input type=\"text\" size=\"70\" id=\"Com_Kanasansoft_LinkForFile_Url\" />";
	html				+=		"</div>";
	html				+=	"</div>";
	return html;
}

/*--------------------------------------------------------------------------------
	編集領域からデータ取得
--------------------------------------------------------------------------------*/
Com_Kanasansoft_LinkForFile.prototype.getEditAreaData
=	function(){

	var obj						=	document.getElementById("Com_Kanasansoft_LinkForFile_Name");
	this._Name					=	obj.value;

	var obj						=	document.getElementById("Com_Kanasansoft_LinkForFile_Url");
	this._Url					=	obj.value;

}

/*--------------------------------------------------------------------------------
	編集領域にデータ設定
--------------------------------------------------------------------------------*/
Com_Kanasansoft_LinkForFile.prototype.setEditAreaData
=	function(){

	var obj						=	document.getElementById("Com_Kanasansoft_LinkForFile_Name");
	obj.value					=	this._Name;

	var obj						=	document.getElementById("Com_Kanasansoft_LinkForFile_Url");
	obj.value					=	this._Url;

}

/*--------------------------------------------------------------------------------
	HTML作成
--------------------------------------------------------------------------------*/
Com_Kanasansoft_LinkForFile.prototype.getHTML
=	function(){
	var html			=	"";
	html				+=	"<div class=\"Com_Kanasansoft_LinkForFile\">";
	html				+=		"<a";
	html				+=			" class=\"Link\"";
	html				+=			" href=\"";
	html				+=				StringUtility.Encode.HTML(this._Url);
	html				+=			"\"";
	html				+=		">";
	html				+=			StringUtility.Encode.HTML(this._Name);
	html				+=		"</a>";
	html				+=	"</div>";
	return html;
}

/*--------------------------------------------------------------------------------
	テンプレート名取得
--------------------------------------------------------------------------------*/
Com_Kanasansoft_LinkForFile.getName
=	function(){
	return "Link For File";
}

/*--------------------------------------------------------------------------------
	テンプレートID取得
--------------------------------------------------------------------------------*/
Com_Kanasansoft_LinkForFile.getId
=	function(){
	return "Com_Kanasansoft_LinkForFile";
}

//テンプレートを追加
addTemplate(Com_Kanasansoft_LinkForFile);
